#!/usr/bin/env slsh

require ("gtkdatabox");
require ("glade");

variable xml, x, y, graph, databox, gc, width = 0;

define set_width (range)
{
   width = int (gtk_range_get_value (range));
   gtk_databox_graph_set_size (graph, width);
   gtk_widget_queue_draw (databox);
}

define set_style_solid (button)
{
   if (gtk_toggle_button_get_active (button))
     {		
	gdk_gc_set_line_attributes (gc, width, GDK_LINE_SOLID, GDK_CAP_BUTT, GDK_JOIN_MITER);
	gtk_widget_queue_draw (databox);
     }   
}

define set_style_on_off (button)
{
   if (gtk_toggle_button_get_active (button))
     {	
	gdk_gc_set_line_attributes (gc, width, GDK_LINE_ON_OFF_DASH, GDK_CAP_BUTT, GDK_JOIN_MITER);
	gtk_widget_queue_draw (databox);
     }   
}

define set_style_double (button)
{
   if (gtk_toggle_button_get_active (button))
     {	
	gdk_gc_set_line_attributes (gc, width, GDK_LINE_DOUBLE_DASH, GDK_CAP_BUTT, GDK_JOIN_MITER);
	gtk_widget_queue_draw (databox);
     }   
}

xml = glade_xml_new ("line_attributes.glade");
glade_xml_signal_autoconnect (xml);

databox = glade_xml_get_widget (xml, "databox");

x = [-PI:PI:PI/20];
y = sin (x);
graph = gtk_databox_lines_new (x, y, gdk_green, 0);
gtk_databox_graph_add (databox, graph);
gtk_databox_auto_rescale (databox, .05);

while (gtk_events_pending ())
  gtk_main_iteration ();
gc = gtk_databox_graph_get_gc (graph);
gtk_main ();
